#include "xgfxreflectionprobe.h"

XGfxReflectionProbe::XGfxReflectionProbe()
    : XAsset()
    , mOrigin()
    , mReflectionImage(new XGfxImage())
{
}

XGfxReflectionProbe::~XGfxReflectionProbe()
{

}

void XGfxReflectionProbe::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        *aStream
            >> mOrigin;

        mReflectionImage->ParseData(aStream);
    }
}

void XGfxReflectionProbe::Clear() {
    mOrigin = QVector3D();
    mReflectionImage->Clear();
}
